<header id="header-block">
  <div class="container mobile-flex">
    <div class="top-header flex flex-align-center">
      <div class="social-links">
        {% include 'social-links' %}
      </div>

      <nav class="primary-navigation">
        <ul class="main-menu flex">
          {% assign mainmenu = section.settings.main_linklist %}
          {% for link in linklists[mainmenu].links %}
          <li>
            <a href="{{ link.url }}">{{ link.title }}</a>
          </li>
          {% endfor %}
        </ul>
      </nav>

      <div class="header-right">
        <ul class="flex">
          <li id="menuToggle">
            <span></span>
            <span></span>
            <span></span>
          </li>
          <li><a href="/cart" class="flex flex-align-center"><span class="text">cart</span> <span class="rounder flex flex-align-center flex-justify-center">0</span></a></li>
          <li>
            <a href="/account" class="flex flex-align-center">
                                        <span class="rounder flex flex-align-center flex-justify-center">
                                            <svg width="13" height="13" viewBox="0 0 13 13" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path d="M9.24857 6.19357C9.84286 5.53429 10.2143 4.67071 10.2143 3.71429C10.2143 1.66214 8.55214 0 6.5 0C4.44786 0 2.78571 1.66214 2.78571 3.71429C2.78571 4.67071 3.15714 5.53429 3.75143 6.19357C1.54143 7.22429 0 9.47143 0 12.0714V13H13V12.0714C13 9.47143 11.4586 7.22429 9.24857 6.19357ZM4.64286 3.71429C4.64286 2.69286 5.47857 1.85714 6.5 1.85714C7.52143 1.85714 8.35714 2.69286 8.35714 3.71429C8.35714 4.73571 7.52143 5.57143 6.5 5.57143C5.47857 5.57143 4.64286 4.73571 4.64286 3.71429ZM1.95 11.1429C2.37714 9.02571 4.26214 7.42857 6.5 7.42857C8.73786 7.42857 10.6136 9.02571 11.05 11.1429H1.95Z" fill="black"/>
                                            </svg>
                                        </span>
            </a>
          </li>
        </ul>
      </div>

    </div>

    <div class="logo-section">
      <a href="#" id="logo">
        <svg width="1331" height="160" viewBox="0 0 1331 160" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M1267.37 110.486C1260.78 115.758 1253.51 117.366 1238.29 117.366H1230.78C1227.14 117.366 1226.23 117.13 1222.59 117.815C1224.42 113 1224.64 111.858 1225.78 106.128L1239.63 41.4837H1250.31C1260.31 41.4837 1266.67 42.6265 1271.22 44.6988C1279.84 49.0491 1284.17 57.7649 1284.17 71.0595C1284.18 86.6473 1277.14 102.456 1267.37 110.486ZM634.936 69.9167H614.033C611.531 69.9167 610.851 69.9167 608.803 70.8385C609.483 68.3091 609.483 67.6234 609.483 65.5664V43.3198C609.483 40.8057 609.483 40.3409 608.803 37.8268C610.844 38.741 611.531 38.741 614.033 38.741H632.427C646.286 38.741 653.329 43.556 654.017 53.186C654.697 64.4084 648.334 69.9167 634.936 69.9167ZM361.998 73.1241H344.503C342.002 73.1241 341.548 73.1241 339.047 73.8098C339.727 71.2804 339.954 71.0595 339.954 68.5377V45.1559C339.954 43.0989 339.954 42.4056 339.047 39.8914C341.541 40.8133 341.994 40.8133 344.503 40.8133H361.091C374.497 40.8133 381.079 46.3064 381.079 57.0868C381.079 68.0882 375.631 73.1241 361.998 73.1241ZM1318.95 24.9817C1310.09 13.287 1298.5 6.87967 1282.14 4.35789C1275.54 3.67221 1264.64 3.19985 1243.96 3.19985H1201.46L1169.42 155.063V3.19985H1123.28H1123.07H1076.92L1061.92 75.4174L1059.65 84.5826L1057.37 93.9841C1054.42 104.3 1053.51 107.515 1051.22 111.637C1047.14 119.202 1040.1 122.867 1030.33 122.867C1017.6 122.867 1011.13 115.347 1011.69 103.157C1011.88 99.0353 1012.37 97.1916 1014.2 88.0187L1014.88 85.0398L1032.16 3.19985H985.809L967.174 91.4547C964.317 106.098 964.007 106.814 963.992 115.987H901.495C898.994 115.987 898.548 115.987 896.047 116.901C896.946 114.387 896.946 114.151 896.946 111.637V3.19985H850.795H850.591H733.563L702.239 151.597C701.483 148.861 700.757 144.984 700.138 139.826C700.138 139.826 698.83 122.752 697.41 115.994C695.823 108.429 693.767 102.7 691.047 98.3344C686.739 92.148 681.502 88.0263 675.139 86.1902L674.912 85.2759C690.367 79.0896 699.223 65.1017 699.223 46.9997C699.223 32.0975 691.273 18.1096 677.86 10.5519C668.776 5.27975 658.778 3.20747 640.83 3.20747H563.786H563.574H438.135L425.5 63.0979C425.704 60.919 425.855 58.702 425.855 56.3935C425.855 38.0477 417.897 21.7818 404.03 12.6165C393.813 5.50069 381.994 3.19985 357.229 3.19985H293.818H293.606H247.463L232.47 75.4174L230.188 84.5826L227.913 93.9841C224.966 104.3 224.051 107.515 221.777 111.637C217.688 119.202 210.645 122.867 200.874 122.867C188.155 122.867 181.679 115.347 182.246 103.157C182.435 99.0353 182.926 97.1916 184.747 88.0187L185.427 85.0398L202.703 3.19985H156.34L137.712 91.4547C136.05 99.9648 135.248 103.766 134.871 107.248C134.379 91.4852 128.908 81.6342 116.787 73.1165C109.282 67.6158 100.206 63.9512 83.1653 59.3724C69.9858 55.7002 69.2981 55.464 68.8447 55.464C68.6104 55.464 68.6255 55.464 67.9379 55.2355C59.9803 52.7213 57.4865 52.2566 55.4385 51.1061C52.7104 49.9633 51.1234 47.9063 50.8967 44.9121C50.67 38.2687 55.8844 35.0536 66.8043 35.0536C77.9434 35.0536 85.2057 40.5619 85.4324 49.4986H129.059C128.833 18.102 106.335 0 68.1721 0C31.8001 0 6.12876 19.0239 6.12876 46.992C6.12876 60.0581 9.99042 70.1452 17.4946 77.0173C24.772 83.6684 33.6137 87.7901 58.8392 95.1269C84.2913 103.157 88.7575 104.536 89.0674 110.722C89.5208 119.69 81.7975 124.931 68.3913 124.246C53.844 123.56 47.4809 118.059 46.5741 104.528H0C0.226711 116.215 3.40067 126.074 9.08357 134.554C19.9884 150.141 41.3446 159.314 67.0235 159.314C87.2461 159.314 103.154 155.193 114.965 146.934C125.409 139.59 132.755 127.75 134.531 115.332C134.531 115.827 134.523 116.345 134.523 116.901C134.523 141.433 154.519 157.021 189.289 159.543C192.916 159.771 196.325 159.992 199.74 159.992C231.329 159.992 252.904 148.77 264.489 126.31C268.819 117.823 271.54 110.265 275.175 91.2337L293.606 4.1979V156.107H339.961V113.465C339.961 110.936 339.961 110.486 339.054 107.964C341.548 108.65 342.002 108.65 344.511 108.65H368.822C388.81 108.65 401.317 104.757 411.081 94.8983C416.492 89.4357 420.383 83.0284 422.824 75.7374L405.874 156.107H533.792L541.75 117.373H471.771C465.635 117.373 464.947 117.137 459.725 117.823C461.312 113.008 461.547 111.865 462.68 106.136L465.174 94.8983H538.341L545.846 59.38H484.044C477.908 59.38 477.001 59.38 471.779 60.0581C473.366 55.7002 473.593 54.5574 474.726 49.75L476.767 40.3486H555.851L563.589 4.19028V156.107H609.491V106.822C609.491 104.757 609.491 104.071 608.811 101.549C610.851 102.464 611.539 102.464 614.04 102.464H629.26C637.437 102.464 643.573 104.536 647.435 108.429C651.75 113.465 653.125 117.823 654.939 133.19C654.939 133.19 655.982 149.501 658.347 156.107H701.302H704.468H747.656L759.241 101.092H820.355L828.079 65.1017H778.096C772.406 65.1017 771.28 65.1017 766.058 65.7873C767.872 60.9799 768.098 59.5933 769.239 53.8641L771.733 41.9485H842.853L850.599 4.22837V156.107H964.204V121.137C966.403 143.216 986.036 157.173 1018.76 159.55C1022.39 159.779 1025.79 160 1029.21 160C1060.79 160 1082.37 148.778 1093.97 126.318C1098.29 117.831 1101.01 110.273 1104.65 91.2414L1123.08 4.20551V156.107H1169.21H1169.43H1237.38C1256.7 156.107 1271.46 154.042 1281.23 149.913C1296.69 143.498 1309.63 131.346 1318.5 116.444C1325.77 103.606 1331 84.575 1331 70.5947C1330.99 49.2777 1328.04 37.1259 1318.95 24.9817Z" fill="#FFE800"/>
        </svg>
      </a>
    </div>
  </div>
</header>


<script type="application/ld+json">
{
  "@context": "http://schema.org",
  "@type": "Organization",
  "name": {{ shop.name | json }},
  {% if section.settings.logo %}
    {% assign image_size = section.settings.logo.width | append:'x' %}
    "logo": {{ section.settings.logo | img_url: image_size | prepend: "https:" | json }},
  {% endif %}
  "sameAs": [
    {{ settings.social_twitter_link | json }},
    {{ settings.social_facebook_link | json }},
    {{ settings.social_pinterest_link | json }},
    {{ settings.social_instagram_link | json }},
    {{ settings.social_tumblr_link | json }},
    {{ settings.social_snapchat_link | json }},
    {{ settings.social_youtube_link | json }},
    {{ settings.social_vimeo_link | json }}
  ],
  "url": {{ shop.url | append: page.url | json }}
}
</script>

{% if request.page_type == 'index' %}
  {% assign potential_action_target = shop.url | append: routes.search_url | append: "?q={search_term_string}" %}
  <script type="application/ld+json">
    {
      "@context": "http://schema.org",
      "@type": "WebSite",
      "name": {{ shop.name | json }},
      "potentialAction": {
        "@type": "SearchAction",
        "target": {{ potential_action_target | json }},
        "query-input": "required name=search_term_string"
      },
      "url": {{ shop.url | append: page.url | json }}
    }
  </script>
{% endif %}

{% schema %}
{
  "name": {
    "cs": "Záhlaví",
    "da": "Overskrift",
    "de": "Titel",
    "en": "Header",
    "es": "Encabezado",
    "fi": "Ylätunniste",
    "fr": "En-tête",
    "it": "Header",
    "ja": "ヘッダー",
    "ko": "헤더",
    "nb": "Header",
    "nl": "Koptekst",
    "pl": "Nagłówek",
    "pt-BR": "Cabeçalho",
    "pt-PT": "Cabeçalho",
    "sv": "Rubrik",
    "th": "ส่วนหัว",
    "tr": "Üstbilgi",
    "vi": "Đầu trang",
    "zh-CN": "标头",
    "zh-TW": "標頭"
  },
  "settings": [
    {
      "type": "link_list",
      "id": "main_linklist",
      "label": {
        "cs": "Nabídka",
        "da": "Menu",
        "de": "Menü",
        "en": "Menu",
        "es": "Menú",
        "fi": "Valikko",
        "fr": "Menu",
        "it": "Menu",
        "ja": "メニュー",
        "ko": "메뉴",
        "nb": "Meny",
        "nl": "Menu",
        "pl": "Menu",
        "pt-BR": "Menu",
        "pt-PT": "Menu",
        "sv": "Meny",
        "th": "เมนู",
        "tr": "Menü",
        "vi": "Menu",
        "zh-CN": "菜单",
        "zh-TW": "選單"
      },
      "default": "main-menu"
    }
  ]
}
{% endschema %}
